"use client";
var t = !1;
if (typeof window < "u")
  try {
    var e = Object.defineProperty({}, "passive", {
      get: function() {
        return t = !0, !0;
      }
    });
    window.addEventListener("test", e, e), window.removeEventListener("test", e, e);
  } catch {
    t = !1;
  }
var s = t ? { passive: !1 } : !1;
export {
  s as nonPassive
};
